{
  "extends": "./tsconfig.non-strict.json",
  "compilerOptions": {
    "noImplicitAny": true,
    "strictNullChecks": true,
    "strictFunctionTypes": true,
    "strictBindCallApply": true,
    "noImplicitOverride": true,
    "useUnknownInCatchVariables": true,
    "incremental": true,
    "tsBuildInfoFile": ".tsbuildinfo-strict"
  },
  "include": [
    "src",
    "scripts/**/*",
    "vite.config.ts"
  ],
  "exclude": [
    "node_modules",
    "build"
  ]
}
